﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();
    }


    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }

    protected DataTable populateGrid2()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void WebDataTree1_SelectionChanged(object sender, Infragistics.Web.UI.NavigationControls.DataTreeSelectionEventArgs e)
    {
        if (Int32.Parse(e.NewSelectedNodes[0].Value) == 2)
        {
            WebDataGrid1.DataSource = populateGrid2();
            WebDataGrid1.DataBind();
        }
        else
        {
            WebDataGrid1.DataSource = populateGrid();
            WebDataGrid1.DataBind();
        }
    }
    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {

        if (e.Row.Index % 2 == 0)
        {
            e.Row.Items[0].CssClass = "myItemClass";
        }
    }
}